Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher.search
Class SearchParameters

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.search.SearchParameters

All Implemented Interfaces:
  java.util.Map

public class SearchParameters
extends java.lang.Object
implements java.util.Map

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`SearchParameters()` Constructor vacio

Method Summary
`void` | `addParameter(java.lang.String paramName, java.lang.String paramDescription, int paramOperator, java.lang.String value)` Aņade un nuevo parametro de tipo simple (text) caso por ejemplo de los textos o fechas
`void` | `addParameter(java.lang.String paramName, java.lang.String paramDescription, int paramOperator, java.lang.String[] values)` Aņade un nuevo parametro de tipo lista valores sin descripcion
`void` | `addParameter(java.lang.String paramName, java.lang.String paramDescription, int paramOperator, java.lang.String[] values, java.lang.String[] valuesDescriptions)` Aņade un nuevo parametro de tipo lista valores con descripcion
`void` | `addParameter(java.lang.String paramName, java.lang.String paramDescription, int paramOperator, java.lang.String value, java.lang.String valueDescription)` Aņade un nuevo parametro de tipo complejo (valor:descripcion del valor) ej: combos
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object inKey)`
`boolean` | `containsValue(java.lang.Object inValue)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object inKey)`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.lang.Object` | `put(java.lang.Object inKey, java.lang.Object inValue)`
`void` | `putAll(java.util.Map inMap)`
`java.lang.Object` | `remove(java.lang.Object inKey)`
`int` | `size()`
`java.lang.String` | `toString()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### SearchParameters

    public SearchParameters()

  Constructor vacio

Method Detail

### addParameter

    public void addParameter(java.lang.String paramName,
                             java.lang.String paramDescription,
                             int paramOperator,
                             java.lang.String value)

  Aņade un nuevo parametro de tipo simple (text) caso por ejemplo de los textos o fechas

### addParameter

    public void addParameter(java.lang.String paramName,
                             java.lang.String paramDescription,
                             int paramOperator,
                             java.lang.String value,
                             java.lang.String valueDescription)

  Aņade un nuevo parametro de tipo complejo (valor:descripcion del valor) ej: combos

### addParameter

    public void addParameter(java.lang.String paramName,
                             java.lang.String paramDescription,
                             int paramOperator,
                             java.lang.String[] values)

  Aņade un nuevo parametro de tipo lista valores sin descripcion

### addParameter

    public void addParameter(java.lang.String paramName,
                             java.lang.String paramDescription,
                             int paramOperator,
                             java.lang.String[] values,
                             java.lang.String[] valuesDescriptions)

  Aņade un nuevo parametro de tipo lista valores con descripcion

### get

    public java.lang.Object get(java.lang.Object inKey)

  Specified by:
    `get` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object inKey,
                                java.lang.Object inValue)

  Specified by:
    `put` in interface `java.util.Map`

### remove

    public java.lang.Object remove(java.lang.Object inKey)

  Specified by:
    `remove` in interface `java.util.Map`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object inKey)

  Specified by:
    `containsKey` in interface `java.util.Map`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object inValue)

  Specified by:
    `containsValue` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map inMap)

  Specified by:
    `putAll` in interface `java.util.Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD